Subject: Can 403 code be used as authorization failure indication?

From: Konstantin Voronkov <[email-masked]>
Date: Mon, 13 Feb 2006 07:23:01 -0800 (PST)

Hello, all!
  
  I have a question if code 403 can be used as authorization failure indication?
  In mine case proxy server returns NTLM and Basic authorization. NTML
   authorization fails, but proxy instead 407 code returns 403. I know that Basic
  authorization is going to pass for this user, though NTML can not.
  
  I think this is bug in proxy server implementation of HTTP protocol. Is
   it well-known bug? Should I re-try Basic authorization of say to client
  that download failed?
  
  Best Regards,
  Voronkov Konstantin

---------------------------------
 Yahoo! Mail
 Use Photomail to share photos without annoying attachments.